Package org.lwjgl.opengl

# Class APPLEVertexArrayRange

java.lang.Object
org.lwjgl.opengl.APPLEVertexArrayRange

public final class APPLEVertexArrayRange extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_DRAW_PIXELS_APPLE`
Accepted by the <object> parameter of TestObjectAPPLE and FinishObjectAPPLE:
`static final int`
`GL_FENCE_APPLE`
Accepted by the <object> parameter of TestObjectAPPLE and FinishObjectAPPLE:
`static final int`
`GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_APPLE`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_STORAGE_CACHED_APPLE`
Accepted by the <param> parameter of VertexArrayParameteriAPPLE:
`static final int`
`GL_STORAGE_SHARED_APPLE`
Accepted by the <param> parameter of VertexArrayParameteriAPPLE:
`static final int`
`GL_VERTEX_ARRAY_RANGE_APPLE`
Accepted by the <cap> parameter of EnableClientState, DisableClientState, and IsEnabled:
`static final int`
`GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_ARRAY_RANGE_POINTER_APPLE`
Accepted by the <pname> parameter of GetPointerv:
`static final int`
`GL_VERTEX_ARRAY_STORAGE_HINT_APPLE`
Accepted by the <pname> parameter of VertexArrayParameteriAPPLE, GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glFlushVertexArrayRangeAPPLE(ByteBuffer pointer)`
`static void`
`glVertexArrayParameteriAPPLE(int pname, int param)`
`static void`
`glVertexArrayRangeAPPLE(ByteBuffer pointer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_VERTEX_ARRAY_RANGE_APPLE

public static final int GL_VERTEX_ARRAY_RANGE_APPLE
Accepted by the <cap> parameter of EnableClientState, DisableClientState, and IsEnabled:

See Also:
  - Constant Field Values

### GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE

public static final int GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_APPLE

public static final int GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_APPLE
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_ARRAY_RANGE_POINTER_APPLE

public static final int GL_VERTEX_ARRAY_RANGE_POINTER_APPLE
Accepted by the <pname> parameter of GetPointerv:

See Also:
  - Constant Field Values

### GL_VERTEX_ARRAY_STORAGE_HINT_APPLE

public static final int GL_VERTEX_ARRAY_STORAGE_HINT_APPLE
Accepted by the <pname> parameter of VertexArrayParameteriAPPLE, GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_STORAGE_CACHED_APPLE

public static final int GL_STORAGE_CACHED_APPLE
Accepted by the <param> parameter of VertexArrayParameteriAPPLE:

See Also:
  - Constant Field Values

### GL_STORAGE_SHARED_APPLE

public static final int GL_STORAGE_SHARED_APPLE
Accepted by the <param> parameter of VertexArrayParameteriAPPLE:

See Also:
  - Constant Field Values

### GL_DRAW_PIXELS_APPLE

public static final int GL_DRAW_PIXELS_APPLE
Accepted by the <object> parameter of TestObjectAPPLE and FinishObjectAPPLE:

See Also:
  - Constant Field Values

### GL_FENCE_APPLE

public static final int GL_FENCE_APPLE
Accepted by the <object> parameter of TestObjectAPPLE and FinishObjectAPPLE:

See Also:
  - Constant Field Values

## Method Details

### glVertexArrayRangeAPPLE

public static void glVertexArrayRangeAPPLE(ByteBuffer pointer)

### glFlushVertexArrayRangeAPPLE

public static void glFlushVertexArrayRangeAPPLE(ByteBuffer pointer)

### glVertexArrayParameteriAPPLE

public static void glVertexArrayParameteriAPPLE(int pname, int param)